List Activities
List activities recorded in the workspace.
Requires the activities:read scope on the API key.
curl --request GET \
--url https://api.topo.io/v1/activities \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/activities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"payload": {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequenceTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resourceType": "MESSAGE",
"channel": "EMAIL",
"messageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hotLeadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"calendarEventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"linkedinUrl": "<string>",
"jobTitle": "<string>",
"companyName": "<string>",
"companyDomain": "<string>"
},
"sequenceTemplate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"type": "message.sent",
"message": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"body": "<string>",
"channel": "EMAIL",
"direction": "INBOUND",
"sentAt": "2023-11-07T05:31:56Z",
"stepNumber": 123
}
}
}
],
"total_count": 123,
"total_pages": 123,
"has_more": true
}Authorizations
Bearer API key issued from Settings → Developers.
Query Parameters
Page number.
x >= 1Number of items per page.
1 <= x <= 100Field to sort by.
created_at Sort direction.
asc, desc Filter by contact.
Filter by sequence run.
Filter by sequence template.
Filter by resource type.
MESSAGE, INVITATION, HOT_LEAD, MEETING, SEQUENCE_STEP, SEQUENCE, TASK Filter by channel.
EMAIL, LINKEDIN, MANUAL Filter by event type.
SENT, REPLIED, OPENED, LINK_CLICKED, ACCEPTED, CREATED, PAUSED, RESUMED, STOPPED, COMPLETED, SKIPPED, REOPENED Return activities strictly after this timestamp (exclusive).
Return activities strictly before this timestamp (exclusive).
Response
Successful Response
Records on this page.
Hide child attributes
Hide child attributes
Unique identifier.
When the activity was recorded.
Discriminated event payload describing what happened.
- MessageSentPayload
- MessageOpenedPayload
- MessageLinkClickedPayload
- MessageRepliedPayload
- InvitationSentPayload
- InvitationAcceptedPayload
- HotLeadCreatedPayload
- MeetingCreatedPayload
- SequenceCreatedPayload
- SequencePausedPayload
- SequenceResumedPayload
- SequenceStoppedPayload
- SequenceCompletedPayload
- TaskCreatedPayload
- TaskCompletedPayload
- TaskSkippedPayload
- TaskReopenedPayload
- ContactEntryResolvedPayload
- EventResolvedPayload
- ContactExclusionCreatedPayload
Hide child attributes
Hide child attributes
MESSAGE, INVITATION, HOT_LEAD, MEETING, SEQUENCE_STEP, SEQUENCE, TASK EMAIL, LINKEDIN, MANUAL Hide child attributes
Hide child attributes
"message.sent"Hide child attributes
Hide child attributes
EMAIL, LINKEDIN, CALENDAR, MANUAL INBOUND, OUTBOUND Total number of records matching the query.
Total number of pages.
Whether more pages remain after the current one.
Was this page helpful?
curl --request GET \
--url https://api.topo.io/v1/activities \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/activities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"payload": {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequenceTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resourceType": "MESSAGE",
"channel": "EMAIL",
"messageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hotLeadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"calendarEventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"linkedinUrl": "<string>",
"jobTitle": "<string>",
"companyName": "<string>",
"companyDomain": "<string>"
},
"sequenceTemplate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"type": "message.sent",
"message": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"body": "<string>",
"channel": "EMAIL",
"direction": "INBOUND",
"sentAt": "2023-11-07T05:31:56Z",
"stepNumber": 123
}
}
}
],
"total_count": 123,
"total_pages": 123,
"has_more": true
}